package com.pqs9300.pojo.formdata;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class ConditionDataDto {
    private List<Long> listNotExitsLine; //需要剔除的监测点ID
    private List<Long> listExitsLine; //绑定的监测点ID
    private List<String> listExitLoadType; //绑定的干扰源类型
    private List<String> listNotExitsLoadType; //需要剔除的干扰源类型
    private Integer operation; //0-与 1-或
    private List<String> listExitOption; // 需要绑定的指标类型
    private List<String> listNotExitOption; //剔除的指标类型
    private String condition; //指标类型
    private Date startTime; //查询开始时间
    private Date endTime; //查询结束时间
    private String deptsIndex; //部门索引
    private String deptStreateIndex;//创建策略部门索引
    private String sysType; //系统类型
    private String conditionResult; //查询结果

    public String getConditionResult() {
        return conditionResult;
    }

    public void setConditionResult(String conditionResult) {
        this.conditionResult = conditionResult;
    }

    public String getDeptsIndex() {
        return deptsIndex;
    }

    public void setDeptsIndex(String deptsIndex) {
        this.deptsIndex = deptsIndex;
    }

    public String getSysType() {
        return sysType;
    }

    public void setSysType(String sysType) {
        this.sysType = sysType;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getCondition() {
        return condition;
    }

    public void setCondition(String condition) {
        this.condition = condition;
    }

    public ConditionDataDto() {
        listExitsLine = new ArrayList<>();
        listExitLoadType = new ArrayList<>();
        listNotExitsLine = new ArrayList<>();
        listNotExitsLoadType = new ArrayList<>();
        listExitOption = new ArrayList<>();
        listNotExitOption = new ArrayList<>();
    }

    public Integer getOperation() {
        return operation;
    }

    public void setOperation(Integer operation) {
        this.operation = operation;
    }

    public List<String> getListExitOption() {
        return listExitOption;
    }

    public void setListExitOption(List<String> listExitOption) {
        this.listExitOption = listExitOption;
    }

    public List<String> getListNotExitOption() {
        return listNotExitOption;
    }

    public void setListNotExitOption(List<String> listNotExitOption) {
        this.listNotExitOption = listNotExitOption;
    }

    public List<Long> getListNotExitsLine() {
        return listNotExitsLine;
    }

    public void setListNotExitsLine(List<Long> listNotExitsLine) {
        this.listNotExitsLine = listNotExitsLine;
    }

    public List<Long> getListExitsLine() {
        return listExitsLine;
    }

    public void setListExitsLine(List<Long> listExitsLine) {
        this.listExitsLine = listExitsLine;
    }

    public List<String> getListExitLoadType() {
        return listExitLoadType;
    }

    public void setListExitLoadType(List<String> listExitLoadType) {
        this.listExitLoadType = listExitLoadType;
    }

    public List<String> getListNotExitsLoadType() {
        return listNotExitsLoadType;
    }

    public void setListNotExitsLoadType(List<String> listNotExitsLoadType) {
        this.listNotExitsLoadType = listNotExitsLoadType;
    }

    public String getDeptStreateIndex() {
        return deptStreateIndex;
    }

    public void setDeptStreateIndex(String deptStreateIndex) {
        this.deptStreateIndex = deptStreateIndex;
    }
}
